- 01 Jun 2023
- Print
- DarkLight
S3 Upload Part Copy
- Updated on 01 Jun 2023
- Print
- DarkLight
PUThttps://s3.
Encryption:
Parts inherit the encryption selected during
CreateMultipartUpload. No additional SSE-B2 header is required.
Uploads a part by copying data from an existing object as a data source. To specify the data source, you add the request header x-amz-copy-source in your request.
Checksum Data:
Checksum data for replicated or copied objects is maintained. If the destination multipart object specifies a checksum algorithm, copied parts and byte ranges will compute the appropriate checksum value of this algorithm. Currently, we do not support using the S3 Upload Part Copy operation to change the checksum algorithm.
AUTHORIZATION AWS Signature
This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.
HEADERS
x-amz-copy-source | Required. The name of the source bucket and the key of the source object in the form /. |
PARAMS
partNumber | The number of the part being uploaded, between 1 and 10,000. |
uploadId | An Upload ID obtained from S3 Create Multipart Upload |
PATH VARIABLES
bucket | Required. The name of the bucket |
key | Required. Key of the object to be written. |
Example Request
curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name-metadaddy/object-1?partNumber=1&uploadId=4_z6145af89f355ac2f74ed0c1b_f2025e1f1817e0030_d20220128_m233615_c004_v0402000_t0048' \
--header 'x-amz-copy-source: my-bucket-name/object-2' \
--data ''Example Response
200 OK
Body
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<CopyPartResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
<LastModified>2022-01-28T23:37:39.426Z</LastModified>
</CopyPartResult>
Headers (9)
Cache-Control | max-age=0, no-cache, no-store |
Content-Type | application/xml |
Content-Length | 249 |
x-amz-request-id | 90e17e227a223955 |
x-amz-version-id | 4_z6145af89f355ac2f74ed0c1b_f2025e1f1817e0030_d20220128_m233615_c004_v0402000_t0048 |
x-amz-id-2 | aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ |
Date | Fri, 28 Jan 2022 23:14:48 GMT |
Keep-Alive | timeout=5 |
Connection | keep-alive |